package gmt.common.type;

public enum SocketType {
	NONE("NONE"),
	CLIENT("CLIENT"),
	SERVER("SERVER"),
	SERIAL("SERIAL"),
	INTERNAL("INTERNAL"),
	
	// UDP추가
	UDP("UDP");
		
	private final String typeName;
	
	private SocketType(String name) {
		this.typeName = name;
	}
	
	public String getname() {
		return this.typeName;
	}
}